/*
 */

#include <linux/config.h>
#include <linux/module.h>

#include <linux/sched.h>
#include <linux/interrupt.h>
#include <linux/kbd_ll.h>
#include <linux/init.h>
#include <linux/delay.h>
#include <linux/kbd_kern.h>

#include <asm/irq.h>
#include <asm/hardware.h>
#include <linux/tqueue.h>
#include <linux/proc_fs.h>
#include "avrprg.h"

extern struct file_operations avr_fops;

#define	MAJOR_NR	60

void set_SSP_init(void);
int avr_program_disable();
static char	*smartio_version = "1.1";
static char *smartio_date = __DATE__;

static int __init ads_smartio_init(void)
{
	set_SSP_init();

	if (register_chrdev(MAJOR_NR, "avr", &avr_fops)) {
		printk("AVR : unable to get major %d\n", MAJOR_NR);
		return -1;
	}
	else {
		printk("AVR driver initialized. version %s, date:%s\n", 
				smartio_version, smartio_date);
	}

	return 0;
}

static void ads_smartio_exit(void)
{
	avr_program_disable();
	unregister_chrdev(MAJOR_NR, "avr");
}

module_init(ads_smartio_init);
module_exit(ads_smartio_exit);
